local win;
local procId;
local proc;

function getWindow()
	if( win ) then
		return win;
	end

	win = window.find("Runes of Magic", "Radiant Arcana");
	return win;
end

function getProcId()
	if( procId ) then
		return procId;
	end

	procId = process.findByWindow( getWindow() );
	return procId;
end

function getProc()
	if( proc ) then
		return proc;
	end

	proc = process.open( getProcId() );
	assert(proc, "Unable to open process for reading.");
	return proc;
end

function timeFormat(seconds)
	local hours = math.floor(seconds / (60*60));
	local minutes = math.floor(seconds / 60) % 60;
	local sec_remainder;
	sec_remainder = seconds % 60


	return sprintf("%d:%02d:%02d", hours, minutes, sec_remainder);
end