State = class.new();

function State:constructor()
	self.initTime = timer.getNow();
	self.name = "Base State";
end

function State:getName()
	return self.name;
end

--[[
	A state should return true in update() to indicate that it is not finished.
	When the job is finished, return false to indicate a new job is needed.
]]
function State:update(dt)
	return true;
end